## org.jfree.report.modules.factories.report.flow
Class AbstractExpressionReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.AbstractExpressionReadHandler

All Implemented Interfaces:
  org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

Direct Known Subclasses:
  AttributeExpressionReadHandler, DisplayConditionReadHandler, ExpressionReadHandler, GroupingExpressionReadHandler, StyleExpressionReadHandler, ValueExpressionReadHandler

    public abstract class AbstractExpressionReadHandler

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

Creation-Date: 09.04.2006, 13:23:32

Author:
  Thomas Morgner

Constructor Summary
`AbstractExpressionReadHandler()`

Method Summary
`protected java.lang.String` `getDefaultClassName()`
`Expression` `getExpression()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler` `getHandlerForChild(java.lang.String uri, java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the handler for a child element.
`java.lang.Object` `getObject()` Returns the object for this element or null, if this element does not create an object.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExpressionReadHandler

    public AbstractExpressionReadHandler()

Method Detail

### getDefaultClassName

    protected java.lang.String getDefaultClassName()

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getHandlerForChild

    protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(java.lang.String uri,
                                                                                             java.lang.String tagName,
                                                                                             org.xml.sax.Attributes atts)
                                                                                      throws org.xml.sax.SAXException

  Returns the handler for a child element.

  Overrides:
    `getHandlerForChild` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
  Parameters:
    `tagName` - the tag name.
    `atts` - the attributes.
  Returns:
    the handler or null, if the tagname is invalid.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getExpression

    public Expression getExpression()

### getObject

    public java.lang.Object getObject()
                               throws org.xml.sax.SAXException

  Returns the object for this element or null, if this element does not create an object.

  Returns:
    the object.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.